package org.jeecg.modules.okki.blog.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 博客
 * @Author: jeecg-boot
 * @Date:   2024-05-09
 * @Version: V1.0
 */
@Data
@TableName("okki_blog")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="okki_blog对象", description="博客")
public class OkkiBlog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
    /**站点id*/
    @Excel(name = "站点id", width = 15)
    @ApiModelProperty(value = "站点id")
    private Integer siteId;
	/**博客标题*/
	@Excel(name = "博客标题", width = 15)
    @ApiModelProperty(value = "博客标题")
    private String title;
	/**主图url地址*/
	@Excel(name = "主图url地址", width = 15)
    @ApiModelProperty(value = "主图url地址")
    private String pic;
	/**博客URL路径*/
	@Excel(name = "博客URL路径", width = 15)
    @ApiModelProperty(value = "博客URL路径")
    private String url;
	/**博客内容*/
	@Excel(name = "博客内容", width = 15)
    @ApiModelProperty(value = "博客内容")
    private String content;
	/**服务商的blog主键id*/
	@Excel(name = "服务商的blog主键id", width = 15)
    @ApiModelProperty(value = "服务商的blog主键id")
    private Integer uid;
	/**ai检测分数*/
	@Excel(name = "ai检测分数", width = 15)
    @ApiModelProperty(value = "ai检测分数")
    private Integer reportScore;
	/**ai检测报告链接*/
	@Excel(name = "ai检测报告链接", width = 15)
    @ApiModelProperty(value = "ai检测报告链接")
    private String reportLink;
	/**同步状态*/
	@Excel(name = "同步状态", width = 15)
    @ApiModelProperty(value = "同步状态")
    private Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
}
