package org.jeecg.modules.okki.linkedin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.okki.linkedin.entity.OkkiLinkedinMarketingDataDetail;

import java.util.List;

/**
 * @Description: Linkedin营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface OkkiLinkedinMarketingDataDetailMapper extends BaseMapper<OkkiLinkedinMarketingDataDetail> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<OkkiLinkedinMarketingDataDetail>
   */
	public List<OkkiLinkedinMarketingDataDetail> selectByMainId(@Param("mainId") String mainId);
}
