package org.jeecg.modules.okki.showlist.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 优势
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@ApiModel(value="okki_advantage对象", description="优势")
@Data
@TableName("okki_advantage")
public class OkkiAdvantage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属showlist*/
    @ApiModelProperty(value = "所属showlist")
    private String okkiShowlistId;
	/**组件标题*/
	@Excel(name = "组件标题", width = 15)
    @ApiModelProperty(value = "组件标题")
    private String blockTitle;
	/**组件内容*/
	@Excel(name = "组件内容", width = 15)
    @ApiModelProperty(value = "组件内容")
    private String blockContent;
	/**组件图片*/
	@Excel(name = "组件图片", width = 15)
    @ApiModelProperty(value = "组件图片")
    private String blockPic;
	/**按钮文字*/
	@Excel(name = "按钮文字", width = 15)
    @ApiModelProperty(value = "按钮文字")
    private String buttonName;
	/**按钮跳转链接*/
	@Excel(name = "按钮跳转链接", width = 15)
    @ApiModelProperty(value = "按钮跳转链接")
    private String buttonUrl;
}
