package org.jeecg.modules.okki.showlist.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 关键词系列
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@ApiModel(value="okki_keywords_series对象", description="关键词系列")
@Data
@TableName("okki_keywords_series")
public class OkkiKeywordsSeries implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属showlist*/
    @ApiModelProperty(value = "所属showlist")
    private String okkiShowlistId;
	/**关键词标题*/
	@Excel(name = "关键词标题", width = 15)
    @ApiModelProperty(value = "关键词标题")
    private String keywordsTitle;
	/**关键词名1*/
	@Excel(name = "关键词名1", width = 15)
    @ApiModelProperty(value = "关键词名1")
    private String keywordListName1;
	/**关键词链接1*/
	@Excel(name = "关键词链接1", width = 15)
    @ApiModelProperty(value = "关键词链接1")
    private String keywordListLinkUrl1;
	/**关键词名2*/
	@Excel(name = "关键词名2", width = 15)
    @ApiModelProperty(value = "关键词名2")
    private String keywordListName2;
	/**关键词链接2*/
	@Excel(name = "关键词链接2", width = 15)
    @ApiModelProperty(value = "关键词链接2")
    private String keywordListLinkUrl2;
}
