package org.jeecg.modules.okki.showlist.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 概览
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@ApiModel(value="okki_overview对象", description="概览")
@Data
@TableName("okki_overview")
public class OkkiOverview implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属showlist*/
    @ApiModelProperty(value = "所属showlist")
    private String okkiShowlistId;
	/**概览类型*/
	@Excel(name = "概览类型", width = 15, dicCode = "overview_type")
    @ApiModelProperty(value = "概览类型")
    private Integer overviewType;
	/**概览标题*/
	@Excel(name = "概览标题", width = 15)
    @ApiModelProperty(value = "概览标题")
    private String title;
	/**概览内容*/
	@Excel(name = "概览内容", width = 15)
    @ApiModelProperty(value = "概览内容")
    private String content;
	/**概览图片链接*/
	@Excel(name = "概览图片链接", width = 15)
    @ApiModelProperty(value = "概览图片链接")
    private String pic;
	/**按钮文字*/
	@Excel(name = "按钮文字", width = 15)
    @ApiModelProperty(value = "按钮文字")
    private String buttonName;
	/**按钮跳转链接*/
	@Excel(name = "按钮跳转链接", width = 15)
    @ApiModelProperty(value = "按钮跳转链接")
    private String buttonUrl;
}
