package org.jeecg.modules.okki.showlist.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 推荐商品列表
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@ApiModel(value="okki_recommended_products对象", description="推荐商品列表")
@Data
@TableName("okki_recommended_products")
public class OkkiRecommendedProducts implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属shouwlist*/
    @ApiModelProperty(value = "所属shouwlist")
    private String okkiShowlistId;
	/**类型*/
	@Excel(name = "类型", width = 15, dicCode = "product_list_type")
    @ApiModelProperty(value = "类型")
    private Integer productListType;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String title;
	/**字幕*/
	@Excel(name = "字幕", width = 15)
    @ApiModelProperty(value = "字幕")
    private String subtitles;
	/**商品pid*/
	@Excel(name = "商品pid", width = 15)
    @ApiModelProperty(value = "商品pid")
    private String pidList;
	/**商品分类sid*/
	@Excel(name = "商品分类sid", width = 15)
    @ApiModelProperty(value = "商品分类sid")
    private Integer sid;
}
