package org.jeecg.modules.okki.showlist.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: showlist
 * @Author: jeecg-boot
 * @Date:   2024-05-15
 * @Version: V1.0
 */
@ApiModel(value="okki_showlist对象", description="showlist")
@Data
@TableName("okki_showlist")
public class OkkiShowlist implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
    @ApiModelProperty(value = "站点id")
    private Integer siteId;
	/**页面路径*/
	@Excel(name = "页面路径", width = 15)
    @ApiModelProperty(value = "页面路径")
    private String url;
	/**结构化数据*/
	@Excel(name = "结构化数据", width = 15)
    @ApiModelProperty(value = "结构化数据")
    private String jsonLd;
	/**询盘的板式*/
	@Excel(name = "询盘的板式", width = 15, dicCode = "inquiry_type")
    @Dict(dicCode = "inquiry_type")
    @ApiModelProperty(value = "询盘的板式")
    private Integer inquiryType;
	/**ai检测分数*/
	@Excel(name = "ai检测分数", width = 15)
    @ApiModelProperty(value = "ai检测分数")
    private Integer reportScore;
	/**ai检测报告地址*/
	@Excel(name = "ai检测报告地址", width = 15)
    @ApiModelProperty(value = "ai检测报告地址")
    private Integer reportLink;
	/**亮点标题*/
	@Excel(name = "亮点标题", width = 15)
    @ApiModelProperty(value = "亮点标题")
    private String highlightTitle;
	/**亮点简介*/
	@Excel(name = "亮点简介", width = 15)
    @ApiModelProperty(value = "亮点简介")
    private String highlightContent;
	/**亮点布局文字对齐方式*/
	@Excel(name = "亮点布局文字对齐方式", width = 15, dicCode = "layout_alignment")
    @Dict(dicCode = "layout_alignment")
    @ApiModelProperty(value = "亮点布局文字对齐方式")
    private Integer highlightLayoutAlignment;
	/**亮点布局每行列数*/
	@Excel(name = "亮点布局每行列数", width = 15, dicCode = "layout_columns_per_row")
    @Dict(dicCode = "layout_columns_per_row")
    @ApiModelProperty(value = "亮点布局每行列数")
    private Integer highlightLayoutColumnsPerRow;
	/**优势标题*/
	@Excel(name = "优势标题", width = 15)
    @ApiModelProperty(value = "优势标题")
    private String advantageTitle;
	/**优势内容*/
	@Excel(name = "优势内容", width = 15)
    @ApiModelProperty(value = "优势内容")
    private String advantageContent;
	/**优势布局文字对齐方式*/
	@Excel(name = "优势布局文字对齐方式", width = 15, dicCode = "layout_alignment")
    @Dict(dicCode = "layout_alignment")
    @ApiModelProperty(value = "优势布局文字对齐方式")
    private Integer advantageLayoutAlignment;
	/**优势布局每行列数*/
	@Excel(name = "优势布局每行列数", width = 15, dicCode = "layout_columns_per_row")
    @Dict(dicCode = "layout_columns_per_row")
    @ApiModelProperty(value = "优势布局每行列数")
    private Integer advantageLayoutColumnsPerRow;
	/**关键词标题*/
	@Excel(name = "关键词标题", width = 15)
    @ApiModelProperty(value = "关键词标题")
    private String keywordsTitle;
	/**关键词系列标题*/
	@Excel(name = "关键词系列标题", width = 15)
    @ApiModelProperty(value = "关键词系列标题")
    private String keywordsSeriesTitle;
	/**关键词系列排版结构*/
	@Excel(name = "关键词系列排版结构", width = 15, dicCode = "layout_type")
    @Dict(dicCode = "layout_type")
    @ApiModelProperty(value = "关键词系列排版结构")
    private Integer keywordsSeriesLayoutType;
	/**评价标题*/
	@Excel(name = "评价标题", width = 15)
    @ApiModelProperty(value = "评价标题")
    private String reviewTitle;
	/**评价字幕*/
	@Excel(name = "评价字幕", width = 15)
    @ApiModelProperty(value = "评价字幕")
    private String reviewSubtitles;
	/**评价布局文字对齐方式*/
	@Excel(name = "评价布局文字对齐方式", width = 15, dicCode = "layout_alignment")
    @Dict(dicCode = "layout_alignment")
    @ApiModelProperty(value = "评价布局文字对齐方式")
    private Integer reviewLayoutAlignment;
	/**评价布局每行列数*/
	@Excel(name = "评价布局每行列数", width = 15, dicCode = "layout_columns_per_row")
    @Dict(dicCode = "layout_columns_per_row")
    @ApiModelProperty(value = "评价布局每行列数")
    private Integer reviewLayoutColumnsPerRow;
	/**faq标题*/
	@Excel(name = "faq标题", width = 15)
    @ApiModelProperty(value = "faq标题")
    private String faqTitle;
	/**faq字幕*/
	@Excel(name = "faq字幕", width = 15)
    @ApiModelProperty(value = "faq字幕")
    private String faqSubtitles;
	/**showlist标题*/
	@Excel(name = "showlist标题", width = 15)
    @ApiModelProperty(value = "showlist标题")
    private String tdkTitle;
	/**showlist描述*/
	@Excel(name = "showlist描述", width = 15)
    @ApiModelProperty(value = "showlist描述")
    private String tdkDescription;
	/**showlist关键词*/
	@Excel(name = "showlist关键词", width = 15)
    @ApiModelProperty(value = "showlist关键词")
    private String tdkKeywords;
	/**同步状态*/
	@Excel(name = "同步状态", width = 15, dicCode = "blog_status")
    @Dict(dicCode = "blog_status")
    @ApiModelProperty(value = "同步状态")
    private Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
}
