package org.jeecg.modules.okki.showlist.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 博客
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@ApiModel(value="okki_showlist_blog对象", description="博客")
@Data
@TableName("okki_showlist_blog")
public class OkkiShowlistBlog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属showlist*/
    @ApiModelProperty(value = "所属showlist")
    private String okkiShowlistId;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String title;
	/**文字对齐方式*/
	@Excel(name = "文字对齐方式", width = 15, dicCode = "layout_alignment")
    @ApiModelProperty(value = "文字对齐方式")
    private Integer layoutAlignment;
	/**每行列数*/
	@Excel(name = "每行列数", width = 15, dicCode = "layout_columns_per_row")
    @ApiModelProperty(value = "每行列数")
    private Integer layoutColumnsPerRow;
	/**博客列表*/
	@Excel(name = "博客列表", width = 15)
    @ApiModelProperty(value = "博客列表")
    private String blogList;
}
