package org.jeecg.modules.okki.showlist.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.okki.showlist.entity.OkkiKeywordsSeries;

import java.util.List;

/**
 * @Description: 关键词系列
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface OkkiKeywordsSeriesMapper extends BaseMapper<OkkiKeywordsSeries> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<OkkiKeywordsSeries>
   */
	public List<OkkiKeywordsSeries> selectByMainId(@Param("mainId") String mainId);
}
