package org.jeecg.modules.okki.showlist.mapper;

import java.util.List;
import org.jeecg.modules.okki.showlist.entity.OkkiRecommendedProducts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 推荐商品列表
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface OkkiRecommendedProductsMapper extends BaseMapper<OkkiRecommendedProducts> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<OkkiRecommendedProducts>
   */
	public List<OkkiRecommendedProducts> selectByMainId(@Param("mainId") String mainId);
}
