package org.jeecg.modules.okki.showlist.service;

import org.jeecg.modules.okki.showlist.entity.OkkiOverview;
import org.jeecg.modules.okki.showlist.entity.OkkiProductList;
import org.jeecg.modules.okki.showlist.entity.OkkiHighlight;
import org.jeecg.modules.okki.showlist.entity.OkkiAdvantage;
import org.jeecg.modules.okki.showlist.entity.OkkiRecommendedProducts;
import org.jeecg.modules.okki.showlist.entity.OkkiKeywords;
import org.jeecg.modules.okki.showlist.entity.OkkiKeywordsSeries;
import org.jeecg.modules.okki.showlist.entity.OkkiReview;
import org.jeecg.modules.okki.showlist.entity.OkkiFaq;
import org.jeecg.modules.okki.showlist.entity.OkkiShowlistBlog;
import org.jeecg.modules.okki.showlist.entity.OkkiShowlist;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: showlist
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface IOkkiShowlistService extends IService<OkkiShowlist> {

	/**
	 * 添加一对多
	 *
	 * @param okkiShowlist
	 * @param okkiOverviewList
	 * @param okkiProductListList
	 * @param okkiHighlightList
	 * @param okkiAdvantageList
	 * @param okkiRecommendedProductsList
	 * @param okkiKeywordsList
	 * @param okkiKeywordsSeriesList
	 * @param okkiReviewList
	 * @param okkiFaqList
	 * @param okkiShowlistBlogList
	 */
	public void saveMain(OkkiShowlist okkiShowlist,List<OkkiOverview> okkiOverviewList,List<OkkiProductList> okkiProductListList,List<OkkiHighlight> okkiHighlightList,List<OkkiAdvantage> okkiAdvantageList,List<OkkiRecommendedProducts> okkiRecommendedProductsList,List<OkkiKeywords> okkiKeywordsList,List<OkkiKeywordsSeries> okkiKeywordsSeriesList,List<OkkiReview> okkiReviewList,List<OkkiFaq> okkiFaqList,List<OkkiShowlistBlog> okkiShowlistBlogList) ;
	
	/**
	 * 修改一对多
	 *
	 * @param okkiShowlist
	 * @param okkiOverviewList
	 * @param okkiProductListList
	 * @param okkiHighlightList
	 * @param okkiAdvantageList
	 * @param okkiRecommendedProductsList
	 * @param okkiKeywordsList
	 * @param okkiKeywordsSeriesList
	 * @param okkiReviewList
	 * @param okkiFaqList
	 * @param okkiShowlistBlogList
	 */
	public void updateMain(OkkiShowlist okkiShowlist,List<OkkiOverview> okkiOverviewList,List<OkkiProductList> okkiProductListList,List<OkkiHighlight> okkiHighlightList,List<OkkiAdvantage> okkiAdvantageList,List<OkkiRecommendedProducts> okkiRecommendedProductsList,List<OkkiKeywords> okkiKeywordsList,List<OkkiKeywordsSeries> okkiKeywordsSeriesList,List<OkkiReview> okkiReviewList,List<OkkiFaq> okkiFaqList,List<OkkiShowlistBlog> okkiShowlistBlogList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	boolean changeStatus(OkkiShowlist okkiShowlist);
}
