package org.jeecg.modules.okki.showlist.vo;

import java.util.List;
import org.jeecg.modules.okki.showlist.entity.OkkiShowlist;
import org.jeecg.modules.okki.showlist.entity.OkkiOverview;
import org.jeecg.modules.okki.showlist.entity.OkkiProductList;
import org.jeecg.modules.okki.showlist.entity.OkkiHighlight;
import org.jeecg.modules.okki.showlist.entity.OkkiAdvantage;
import org.jeecg.modules.okki.showlist.entity.OkkiRecommendedProducts;
import org.jeecg.modules.okki.showlist.entity.OkkiKeywords;
import org.jeecg.modules.okki.showlist.entity.OkkiKeywordsSeries;
import org.jeecg.modules.okki.showlist.entity.OkkiReview;
import org.jeecg.modules.okki.showlist.entity.OkkiFaq;
import org.jeecg.modules.okki.showlist.entity.OkkiShowlistBlog;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelEntity;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: showlist
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Data
@ApiModel(value="okki_showlistPage对象", description="showlist")
public class OkkiShowlistPage {

	/**主键*/
	@ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
	@ApiModelProperty(value = "站点id")
    private java.lang.Integer siteId;
	/**页面路径*/
	@Excel(name = "页面路径", width = 15)
	@ApiModelProperty(value = "页面路径")
    private java.lang.String url;
	/**结构化数据*/
	@Excel(name = "结构化数据", width = 15)
	@ApiModelProperty(value = "结构化数据")
    private java.lang.String jsonLd;
	/**询盘的板式*/
	@Excel(name = "询盘的板式", width = 15, dicCode = "inquiry_type")
    @Dict(dicCode = "inquiry_type")
	@ApiModelProperty(value = "询盘的板式")
    private java.lang.Integer inquiryType;
	/**ai检测分数*/
	@Excel(name = "ai检测分数", width = 15)
	@ApiModelProperty(value = "ai检测分数")
    private java.lang.Integer reportScore;
	/**ai检测报告地址*/
	@Excel(name = "ai检测报告地址", width = 15)
	@ApiModelProperty(value = "ai检测报告地址")
    private java.lang.Integer reportLink;
	/**同步状态*/
	@Excel(name = "同步状态", width = 15)
	@ApiModelProperty(value = "同步状态")
    private java.lang.Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;

	@ExcelCollection(name="概览")
	@ApiModelProperty(value = "概览")
	private List<OkkiOverview> okkiOverviewList;
	@ExcelCollection(name="产品")
	@ApiModelProperty(value = "产品")
	private List<OkkiProductList> okkiProductListList;
	@ExcelCollection(name="亮点")
	@ApiModelProperty(value = "亮点")
	private List<OkkiHighlight> okkiHighlightList;
	@ExcelCollection(name="优势")
	@ApiModelProperty(value = "优势")
	private List<OkkiAdvantage> okkiAdvantageList;
	@ExcelCollection(name="推荐商品列表")
	@ApiModelProperty(value = "推荐商品列表")
	private List<OkkiRecommendedProducts> okkiRecommendedProductsList;
	@ExcelCollection(name="关键词")
	@ApiModelProperty(value = "关键词")
	private List<OkkiKeywords> okkiKeywordsList;
	@ExcelCollection(name="关键词系列")
	@ApiModelProperty(value = "关键词系列")
	private List<OkkiKeywordsSeries> okkiKeywordsSeriesList;
	@ExcelCollection(name="评价")
	@ApiModelProperty(value = "评价")
	private List<OkkiReview> okkiReviewList;
	@ExcelCollection(name="常见问题")
	@ApiModelProperty(value = "常见问题")
	private List<OkkiFaq> okkiFaqList;
	@ExcelCollection(name="博客")
	@ApiModelProperty(value = "博客")
	private List<OkkiShowlistBlog> okkiShowlistBlogList;

}
