package org.jeecg.modules.okki.websitequality.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 网站质量
 * @Author: jeecg-boot
 * @Date:   2024-05-15
 * @Version: V1.0
 */
@Data
@TableName("okki_website_quality")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="okki_website_quality对象", description="网站质量")
public class OkkiWebsiteQuality implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**唯一标识符*/
	@Excel(name = "唯一标识符", width = 15)
    @ApiModelProperty(value = "唯一标识符")
    private Integer websiteQualityId;
	/**站点的标识符*/
	@Excel(name = "站点的标识符", width = 15)
    @ApiModelProperty(value = "站点的标识符")
    private String siteId;
	/**客户的标识符*/
	@Excel(name = "客户的标识符", width = 15)
    @ApiModelProperty(value = "客户的标识符")
    private String clientId;
	/**站点地图状态码*/
	@Excel(name = "站点地图状态码", width = 15, dicCode = "progress")
	@Dict(dicCode = "progress")
    @ApiModelProperty(value = "站点地图状态码")
    private Integer sitemapStatusCode;
	/**站点地图问题列表*/
	@Excel(name = "站点地图问题列表", width = 15)
    @ApiModelProperty(value = "站点地图问题列表")
    private String sitemapStatusProblems;
	/**Google Analytics状态码*/
	@Excel(name = "Google Analytics状态码", width = 15, dicCode = "progress")
	@Dict(dicCode = "progress")
    @ApiModelProperty(value = "Google Analytics状态码")
    private Integer gaStatusCode;
	/**Google Analytics问题列表*/
	@Excel(name = "Google Analytics问题列表", width = 15)
    @ApiModelProperty(value = "Google Analytics问题列表")
    private String gaStatusProblems;
	/**域名状态码*/
	@Excel(name = "域名状态码", width = 15, dicCode = "progress")
	@Dict(dicCode = "progress")
    @ApiModelProperty(value = "域名状态码")
    private Integer domainStatusCode;
	/**域名问题列表*/
	@Excel(name = "域名问题列表", width = 15)
    @ApiModelProperty(value = "域名问题列表")
    private String domainStatusProblems;
	/**查询电子邮件状态码*/
	@Excel(name = "查询电子邮件状态码", width = 15, dicCode = "progress")
	@Dict(dicCode = "progress")
    @ApiModelProperty(value = "查询电子邮件状态码")
    private Integer inquiryEmailStatusCode;
	/**查询电子邮件问题列表*/
	@Excel(name = "查询电子邮件问题列表", width = 15)
    @ApiModelProperty(value = "查询电子邮件问题列表")
    private String inquiryEmailStatusProblems;
	/**加载速度状态码*/
	@Excel(name = "加载速度状态码", width = 15)
    @ApiModelProperty(value = "加载速度状态码")
    private Integer loadSpeedStatusCode;
	/**加载速度问题列表*/
	@Excel(name = "加载速度问题列表", width = 15)
    @ApiModelProperty(value = "加载速度问题列表")
    private String loadSpeedStatusProblems;
	/**进度状态*/
	@Excel(name = "进度状态", width = 15, dicCode = "progress")
	@Dict(dicCode = "progress")
    @ApiModelProperty(value = "进度状态")
    private Integer progress;
	/**站点的加载时间（单位是秒）*/
	@Excel(name = "站点的加载时间（单位是秒）", width = 15)
    @ApiModelProperty(value = "站点的加载时间（单位是秒）")
    private Integer loadTime;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
}
