package org.jeecg.modules.okki.youtube.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: Youtube营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
@ApiModel(value="okki_youtube_marketing_data_detail对象", description="Youtube营销效果数据详情")
@Data
@TableName("okki_youtube_marketing_data_detail")
public class OkkiYoutubeMarketingDataDetail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**关联id*/
    @ApiModelProperty(value = "关联id")
    private String okkiYoutubeMarketingDataId;
	/**视频id*/
	@Excel(name = "视频id", width = 15)
    @ApiModelProperty(value = "视频id")
    private String vid;
	/**视频标题*/
	@Excel(name = "视频标题", width = 15)
    @ApiModelProperty(value = "视频标题")
    private String title;
	/**视频创建时间*/
	@Excel(name = "视频创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "视频创建时间")
    private Date addtime;
	/**视频当月观看次数*/
	@Excel(name = "视频当月观看次数", width = 15)
    @ApiModelProperty(value = "视频当月观看次数")
    private Integer views;
	/**视频当月总观看时长 (单位：小时)*/
	@Excel(name = "视频当月总观看时长 (单位：小时)", width = 15)
    @ApiModelProperty(value = "视频当月总观看时长 (单位：小时)")
    private Double duration;
	/**当月订阅量*/
	@Excel(name = "当月订阅量", width = 15)
    @ApiModelProperty(value = "当月订阅量")
    private Integer subscribe;
	/**当月曝光数量*/
	@Excel(name = "当月曝光数量", width = 15)
    @ApiModelProperty(value = "当月曝光数量")
    private Integer showtimes;
	/**月份*/
	@Excel(name = "月份", width = 15)
    @ApiModelProperty(value = "月份")
    private String month;
}
