package org.jeecg.modules.okki.youtube.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecg.modules.okki.youtube.entity.OkkiYoutubeMarketingDataDetail;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Description: Youtube营销效果数据
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
@Data
@ApiModel(value="okki_youtube_marketing_dataPage对象", description="Youtube营销效果数据")
public class OkkiYoutubeMarketingDataPage {

	/**主键*/
	@ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**站点id*/
	@Excel(name = "站点id", width = 15)
	@ApiModelProperty(value = "站点id")
    private String siteId;
	/**同步状态*/
	@Excel(name = "同步状态", width = 15, dicCode = "blog_status")
    @Dict(dicCode = "blog_status")
	@ApiModelProperty(value = "同步状态")
    private Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "创建日期")
    private Date createTime;
	
	@ExcelCollection(name="Youtube营销效果数据详情")
	@ApiModelProperty(value = "Youtube营销效果数据详情")
	private List<OkkiYoutubeMarketingDataDetail> okkiYoutubeMarketingDataDetailList;
	
}
